diff options
author | Ralf Wildenhues <Ralf.Wildenhues@gmx.de> | 2007-11-30 12:14:57 +0100 |
---|---|---|
committer | Jim Meyering <meyering@redhat.com> | 2007-11-30 12:14:57 +0100 |
commit | 0db207c66c8b992f4c123c6a25f3cb1809ec4149 (patch) | |
tree | 3ec0294efce27ba341a7a2ec7b7255529aa6b808 /tests/test-lib.sh | |
parent | d7ed3bcb8dd785f1404d6f68f53c6b5668ac56f8 (diff) | |
download | coreutils-0db207c66c8b992f4c123c6a25f3cb1809ec4149.tar.xz |
Add quotes to protect against white space in build dir name.
* tests/check.mk (TESTS_ENVIRONMENT): Quote $(abs_srcdir).
* tests/chmod/setgid: Quote absolute names.
* tests/misc/help-version: Likewise.
* tests/misc/pwd-unreadable-parent: Likewise.
* tests/rmdir/ignore: Likewise.
* tests/test-lib.sh: Likewise.
Diffstat (limited to 'tests/test-lib.sh')
-rw-r--r-- | tests/test-lib.sh | 4 |
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/test-lib.sh b/tests/test-lib.sh index b90f98ff7..8872b27b1 100644 --- a/tests/test-lib.sh +++ b/tests/test-lib.sh @@ -80,7 +80,7 @@ this_test=$(this_test_) # a partition, or to undo any other global state changes. cleanup_() { :; } -t_=$($abs_top_builddir/src/mktemp -d --tmp="$test_dir_" cu-$this_test.XXXXXXXXXX)\ +t_=$("$abs_top_builddir/src/mktemp" -d --tmp="$test_dir_" cu-$this_test.XXXXXXXXXX)\ || error_ "failed to create temporary directory in $test_dir_" # Run each test from within a temporary sub-directory named after the @@ -89,7 +89,7 @@ trap 'st=$?; cleanup_; d='"$t_"'; cd '"$test_dir_"' && chmod -R u+rwx "$d" && rm -rf "$d" && exit $st' 0 trap '(exit $?); exit $?' 1 2 13 15 -cd $t_ || error_ "failed to cd to $t_" +cd "$t_" || error_ "failed to cd to $t_" if ( diff --version < /dev/null 2>&1 | grep GNU ) 2>&1 > /dev/null; then compare() { diff -u "$@"; } |